<?php
/**
 * Simple Machines Forum (SMF)
 *
 * @package SMF
 * @author Simple Machines https://www.simplemachines.org
 * @copyright 2022 Simple Machines and individual contributors
 * @license https://www.simplemachines.org/about/smf/license.php BSD
 *
 * @version 2.1.0
 */

/**
 * The top part of the outer layer of the boardindex
 */
function template_boardindex_outer_above()
{
	template_newsfader();
}

/**
 * This shows the newsfader
 */
function template_newsfader()
{
	global $context, $txt, $scripturl, $settings;

	// Show the news fader?  (assuming there are things to show...)
  if ($context['user']['is_guest'])
   echo'
      <div class="ts-alert ts-alert--info">
       <div class="ts-alert__item ts-alert__item--icon"><i class="ts-alert__icon fas fa-info"></i>
            </div>
            <div class="ts-alert__item ts-alert__item--main">
         ', $txt['ziyaretci_karsilama'], '
              </div></div>';
	if (!empty($settings['show_newsfader']) && !empty($context['news_lines']))
	{
     echo '
    <ul id="smf_slider" class=" p-3 mb-2 Replikacep bg-warning text-dark sy-list" style="border-radius: 7px;margin: 15px 0 0 0;">';
     foreach ($context['news_lines'] as $news)
      echo '
        <li style="padding: 1px 16px;"><i class="fas fa-exclamation-triangle tekyurek"></i>', $news, '</li>';

		echo '
		</ul>
		<script>
			jQuery("#smf_slider").slippry({
				pause: ', $settings['newsfader_time'], ',
				adaptiveHeight: 0,
				captions: 0,
				controls: 0,
			});
		</script>';
	}
}

/**
 * This actually displays the board index
 */
function template_main() {
    global $context, $txt, $scripturl, $settings, $memberContext;

    echo '<div id="boardindex_table" class="boardindex_table">';

    if (!empty($settings['slayt_onoff'])) {
        echo '
        <div id="replika" class="carousel slide" data-ride="carousel">
            <ul class="carousel-indicators">';

        // Carousel indicators
        for ($i = 1; $i <= 5; $i++) {
            echo '<li data-target="#replika" data-slide-to="' . $i . '" class="' . ($i === 1 ? 'active' : '') . '"></li>';
        }

        echo '
            </ul>
            <div class="carousel-inner">';

        // Carousel items
        for ($i = 0; $i < 5; $i++) {
            $adresKey = 'slayt_adres' . $i;
            $upperKey = 'slayt_article_upper' . $i;
            $lowerKey = 'slayt_article_lower' . $i;
            $linkKey = 'slayt_link' . $i;


            echo '
                <div class="carousel-item' . ($i === 0 ? ' active' : '') . '">
                    <img src="' . $settings[$adresKey] . '" alt="' . $settings[$lowerKey] . '" style="width: 100%; max-width: 100%; vertical-align: text-top; border-style: dotted; border-width: 2px;">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>' . $settings[$upperKey] . '</h5>
                        <a style="text-decoration: none;" target="_blank" href="' . $settings[$linkKey] . '">
                            <p style="color: #f2f2f2; font-size: 35px; padding: 13px 15px; text-align: center; border-style: dashed; border-width: 1px; background-color: rgba(87, 87, 87, 0.7); font-family: Times New Roman, Arial, Helvatica;">' . $settings[$lowerKey] . '</p>
                        </a>
                    </div>
                </div>';
        }

        echo '
            </div>
            <a class="carousel-control-prev" href="#replika" data-slide="prev">
                <span class="carousel-control-prev-icon"></span>
            </a>
            <a class="carousel-control-next" href="#replika" data-slide="next">
                <span class="carousel-control-next-icon"></span>
            </a>
        </div><br>'; 
}

    /*TOP 4 MODU*/
    echo '<div class="row text-center">';
   if (!empty($settings['top4_onof']))
    {
   if (!empty($context['latest_posts']))
	{
    $x = 0;
    foreach ($context['latest_posts'] as $post){
     $x++;
       if ($x > 4)
   {break;}
      else
      foreach ($context['latest_posts'] as $post)
      $last_poster = $post['poster']['id'];
          if($last_poster!=0) {
      // Get The Avatar the easy Way
          loadMemberData($last_poster);
          loadMemberContext($last_poster);
		  
      $avatar = !empty($memberContext[$last_poster]['avatar']['image']) ? $memberContext[$last_poster]['avatar']['href'] : $settings['theme_url'].'/images/default_avatar.png';
      } else {
      $avatar = $settings['theme_url'].'/images/default_avatar.png';
            }
      echo'
          <div class="col-xl-3 col-md-6 col-12">
          <div class="info-box">
           <div class="blog-meta">
            <span class="day">',timeformat($post['timestamp'], '%d'), '</span>
            <span class="month">',timeformat($post['timestamp'], '%b'), '</span>
                  </div>
           <div class="title">
             <header class="entry-header">
               <h6 class="inverse-font">', $post['link'], '</h6>
                <div class="entry-meta">
           <span class="jp-views"><img class="avatar" src="', $avatar , '" alt="', $txt['avataryeni'], '">&nbsp;&nbsp;', $txt['started_by'], '&nbsp;', $post['poster']['link'], '</span>
                </div>
         </header>
        </div>
             <div class="content-post" style="overflow: hidden;white-space: nowrap;text-overflow: ellipsis;">
              <p><i class="far fa-comment"></i>', $post['board']['link'], '</p>
                    </div>
                </div>
            </div>';
         }
      }
   }
          echo'
           </div><!-- #recent_posts_content -->';

	/* Each category in categories is made up of:
	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),
	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down image),
	and boards. (see below.) */
	foreach ($context['categories'] as $category)
	{
		// If theres no parent boards we can see, avoid showing an empty category (unless its collapsed)
		if (empty($category['boards']) && !$category['is_collapsed'])
			continue;

		echo '
		<div class="main_container">
			<div class="cat_bar ', $category['is_collapsed'] ? 'collapsed' : '', '" id="category_', $category['id'], '">
				<h3 class="catbg">';

		// If this category even can collapse, show a link to collapse it.
		if ($category['can_collapse'])
			echo '
					<span id="category_', $category['id'], '_upshrink" class="', $category['is_collapsed'] ? 'toggle_down' : 'toggle_up', ' floatright" data-collapsed="', (int) $category['is_collapsed'], '" title="', !$category['is_collapsed'] ? $txt['hide_category'] : $txt['show_category'], '" style="display: none;"></span>';

		echo '
					', $category['link'], '
				</h3>', !empty($category['description']) ? '
				<div class="desc">' . $category['description'] . '</div>' : '', '
			</div>
			<div id="category_', $category['id'], '_boards" ', (!empty($category['css_class']) ? ('class="' . $category['css_class'] . '"') : ''), $category['is_collapsed'] ? ' style="display: none;"' : '', '>';

		/* Each board in each category's boards has:
		new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),
		children (see below.), link_children (easier to use.), children_new (are they new?),
		topics (# of), posts (# of), link, href, and last_post. (see below.) */
		foreach ($category['boards'] as $board)
		{
			echo '
				<div id="board_', $board['id'], '" class="up_contain ', (!empty($board['css_class']) ? $board['css_class'] : ''), '">
					<div class="board_icon">
						', function_exists('template_bi_' . $board['type'] . '_icon') ? call_user_func('template_bi_' . $board['type'] . '_icon', $board) : template_bi_board_icon($board), '
					</div>
					<div class="info">
						', function_exists('template_bi_' . $board['type'] . '_info') ? call_user_func('template_bi_' . $board['type'] . '_info', $board) : template_bi_board_info($board), '
					</div><!-- .info -->';

			// Show some basic information about the number of posts, etc.
			echo '
					<div class="board_stats">
						', function_exists('template_bi_' . $board['type'] . '_stats') ? call_user_func('template_bi_' . $board['type'] . '_stats', $board) : template_bi_board_stats($board), '
					</div>';

			// Show the last post if there is one.
			echo'
					<div class="lastpost">
						', function_exists('template_bi_' . $board['type'] . '_lastpost') ? call_user_func('template_bi_' . $board['type'] . '_lastpost', $board) : template_bi_board_lastpost($board), '
					</div>';

			// Won't somebody think of the children!
			if (function_exists('template_bi_' . $board['type'] . '_children'))
				call_user_func('template_bi_' . $board['type'] . '_children', $board);
			else
				template_bi_board_children($board);

			echo '
				</div><!-- #board_[id] -->';
		}

		echo '
			</div><!-- #category_[id]_boards -->
		</div><!-- .main_container -->';
	}

	echo '
	</div><!-- #boardindex_table -->';

	// Show the mark all as read button?
	if ($context['user']['is_logged'] && !empty($context['categories']))
		echo '
	<div class="mark_read">
		', template_button_strip($context['mark_read_button'], 'right'), '
	</div>';
}

/**
 * Outputs the board icon for a standard board.
 *
 * @param array $board Current board information.
 */
function template_bi_board_icon($board)
{
	global $context, $scripturl;

	echo '
		<a href="', ($context['user']['is_guest'] ? $board['href'] : $scripturl . '?action=unread;board=' . $board['id'] . '.0;children'), '" class="board_', $board['board_class'], '"', !empty($board['board_tooltip']) ? ' title="' . $board['board_tooltip'] . '"' : '', '></a>';
}

/**
 * Outputs the board icon for a redirect.
 *
 * @param array $board Current board information.
 */
function template_bi_redirect_icon($board)
{
	global $context, $scripturl;

	echo '
		<a href="', $board['href'], '" class="board_', $board['board_class'], '"', !empty($board['board_tooltip']) ? ' title="' . $board['board_tooltip'] . '"' : '', '></a>';
}

/**
 * Outputs the board info for a standard board or redirect.
 *
 * @param array $board Current board information.
 */
function template_bi_board_info($board)
{
	global $context, $scripturl, $txt, $settings;

	 echo '<div class="ts-display--flex ts-align-items--center">
         <a class="subject mobile_subject" href="', $board['href'], '" id="b', $board['id'], '">
     ', $board['name'], ' </a><a href="', $scripturl, '?action=.xml;sa=recent;board=', $board['id'], ';limit=10;type=rss2"><i class="fas fa-rss" title="Rss"></i></a>
	 <a href="', $scripturl, '?action=.xml;sa=recent;board=', $board['id'], ';limit=10"><i class="fas fa-rss-square" title="Rss_Feedmailler"></i></a>
       <nav class="ts-padding--left-16 ts-margin--left-auto">
          <a href="javascript:void(0)" data-toggle="dropdown" class="icon" aria-expanded="false">
          <i class="fas fa-sms"></i></a>
            <div class="dropdown-menu dropdown-menu-right">
      <a href="', $scripturl, '?action=unread" title="', $txt['unread_since_visit'], '" class="dropdown-item"> <i class="dropdown-icon fas fa-info-circle"></i> ' ,$txt['notify'], ' </a>
      <a href="', $scripturl, '?action=unreadreplies" title="', $txt['show_unread_replies'], '" class="dropdown-item" > <i class="dropdown-icon fas fa-check"></i> ', $txt['mark_read_short'], '</a>
      <a href="', $scripturl, '?action=unread;board=', $board['id'], '" class="dropdown-item"><i class="dropdown-icon far fa-lightbulb"></i> ' ,$txt['last_post'], '</a>
       <div class="dropdown-divider"></div> <a href="' . $scripturl . '?action=post;board=', $board['id'], '" class="dropdown-item"><i class="dropdown-icon fas fa-edit"></i> ' ,$txt['new_topic'], '</a>
           </div> </nav></div>
               <p class="board_description mobile_display">', $board['description'], '</p>';
	// Has it outstanding posts for approval?
	if ($board['can_approve_posts'] && ($board['unapproved_posts'] || $board['unapproved_topics']))
		echo '
		<a href="', $scripturl, '?action=moderate;area=postmod;sa=', ($board['unapproved_topics'] > 0 ? 'topics' : 'posts'), ';brd=', $board['id'], ';', $context['session_var'], '=', $context['session_id'], '" title="', sprintf($txt['unapproved_posts'], $board['unapproved_topics'], $board['unapproved_posts']), '" class="moderation_link amt">!</a>';

	echo '
		<div class="board_description">', $board['description'], '</div>';

	// Show the "Moderators: ". Each has name, href, link, and id. (but we're gonna use link_moderators.)
	if (!empty($board['link_moderators']))
		echo '
		<p class="moderators">', count($board['link_moderators']) == 1 ? $txt['moderator'] : $txt['moderators'], ': ', implode(', ', $board['link_moderators']), '</p>';
}

/**
 * Outputs the board stats for a standard board.
 *
 * @param array $board Current board information.
 */
function template_bi_board_stats($board)
{
	global $txt;

	echo '
			<p class="bstat"><span class="label label-default" title="'. $txt['posts']. '"><i class="fas fa-reply"></i> ', $board['posts'], ': ', $txt['posts'], '</span> 
						<span class="label label-default" title="'. $txt['board_topics']. '"><i class="fas fa-file"></i> ', $board['topics'], ': ', $txt['board_topics'], '</span></p>';

}

/**
 * Outputs the board stats for a redirect.
 *
 * @param array $board Current board information.
 */
function template_bi_redirect_stats($board)
{
	global $txt;

	echo '
		<p>
			', $txt['redirects'], ': ', comma_format($board['posts']), '
		</p>';
}

/**
 * Outputs the board lastposts for a standard board or a redirect.
 * When on a mobile device, this may be hidden if no last post exists.
 *
 * @param array $board Current board information.
 */
function template_bi_board_lastpost($board)
{
	if (!empty($board['last_post']['id']))
		echo '
			<p>'.$board['last_post']['member']['avatar']['image'].' ', $board['last_post']['last_post_message'], '</p>';
}

/**
 * Outputs the board children for a standard board.
 *
 * @param array $board Current board information.
 */
function template_bi_board_children($board)
{
	global $txt, $scripturl, $context, $settings;

	// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)
	if (!empty($board['children']))
	{
		// Sort the links into an array with new boards bold so it can be imploded.
		$children = array();
		/* Each child in each board's children has:
			id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
		foreach ($board['children'] as $child)
		{
			if (!$child['is_redirect'])
                $child['link'] = '<a href="' . $child['href'] . '" ' . ($child['new'] ? ' class="board_new_posts" ' : '') . 'title="' . ($child['new'] ? $txt['new_posts'] : $txt['old_posts']). ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')">' . $child['name'] . ($child['new'] ? '<span class="new_posts">' . $txt['new'] . '</i></a><a href="' . $scripturl . '?action=unread;board=' . $child['id'] . '" title="' . $txt['new_posts'] . ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')">' : '') . '</a>';			
			else
				$child['link'] = '<a href="' . $child['href'] . '" title="' . comma_format($child['posts']) . ' ' . $txt['redirects'] . ' - ' . $child['short_description'] . '">' . $child['name'] . '</a>';

			// Has it posts awaiting approval?
			if ($child['can_approve_posts'] && ($child['unapproved_posts'] || $child['unapproved_topics']))
				$child['link'] .= ' <a href="' . $scripturl . '?action=moderate;area=postmod;sa=' . ($child['unapproved_topics'] > 0 ? 'topics' : 'posts') . ';brd=' . $child['id'] . ';' . $context['session_var'] . '=' . $context['session_id'] . '" title="' . sprintf($txt['unapproved_posts'], $child['unapproved_topics'], $child['unapproved_posts']) . '" class="moderation_link amt">!</a>';

            $children[] = $child['new'] ? '<span class="strong"><i class="fal fa-comment-alt-smile" style="color:#34373b;margin-right: auto;line-height: 1.4em;padding: 5px 0px;text-shadow: 1px 1px .5px rgba(109,66,5,.5);"> ' . $child['link'] . '</span>' : '<span><i class="fal fa-comment-alt-smile" style="color:#34373b;margin-left: 2px;margin-right: auto;margin-top: 5px;"></i> ' . $child['link'] . '</span>';   
		  
		  }
		  
           echo'<script> function myFunction_', $board['id'], '() {	document.getElementById("myDropdown_', $board['id'], '").classList.toggle("show"); }	  
                   window.onclick = function(event) {  if (!event.target.matches(\'.dropbtn\')) { var dropdowns = document.getElementsByClassName("dropdown-content");
               var i; for (i = 0; i < dropdowns.length; i++) { var openDropdown = dropdowns[i];
               if (openDropdown.classList.contains(\'show\')) { openDropdown.classList.remove(\'show\'); } } } } </script>
                  <a id="board_', $board['id'], '_children" class="dropdown" title="', $txt['sub_boards'], '"></a>
					<div class="kanka"><button onclick="myFunction_', $board['id'], '()" class="dropbtn">', $txt['sub_boards'], ' <span class="replikacep-caret"></span></button> 
					 <p id="myDropdown_', $board['id'], '" class="dropdown-content"> ', implode($children), '  
					  </p></div>';												 
	}
}

/**
 * The lower part of the outer layer of the board index
 */
function template_boardindex_outer_below()
{
	template_info_center();
}

/**
 * Displays the info center
 */
function template_info_center()
{
	global $context, $options, $txt;

	if (empty($context['info_center']))
		return;

	// Here's where the "Info Center" starts...
	echo '
	<div class="info-center" id="info_center">
		<div class="title_bar">
			<h3 class="titlebg">
				<span class="toggle_up floatright" id="upshrink_ic" title="', $txt['hide_infocenter'], '" style="display: none;"></span>
				<a href="#" id="upshrink_link">', sprintf($txt['info_center_title'], $context['forum_name_html_safe']), '</a>
			</h3>
		</div></div>
		<div id="upshrink_stats" class="upshrink-stats"', empty($options['collapse_header_ic']) ? '' : ' style="display: none;"', '><div class="row">';

	foreach ($context['info_center'] as $block)
	{
		$func = 'template_ic_block_' . $block['tpl'];
		$func();
	}

	echo '
		</div><!-- #upshrink_stats -->
	</div><!-- #info_center -->';
    echo '</div>';
	// Info center collapse object.
	echo '
	<script>
		var oInfoCenterToggle = new smc_Toggle({
			bToggleEnabled: true,
			bCurrentlyCollapsed: ', empty($options['collapse_header_ic']) ? 'false' : 'true', ',
			aSwappableContainers: [
				\'upshrink_stats\'
			],
			aSwapImages: [
				{
					sId: \'upshrink_ic\',
					altExpanded: ', JavaScriptEscape($txt['hide_infocenter']), ',
					altCollapsed: ', JavaScriptEscape($txt['show_infocenter']), '
				}
			],
			aSwapLinks: [
				{
					sId: \'upshrink_link\',
					msgExpanded: ', JavaScriptEscape(sprintf($txt['info_center_title'], $context['forum_name_html_safe'])), ',
					msgCollapsed: ', JavaScriptEscape(sprintf($txt['info_center_title'], $context['forum_name_html_safe'])), '
				}
			],
			oThemeOptions: {
				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',
				sOptionName: \'collapse_header_ic\',
				sSessionId: smf_session_id,
				sSessionVar: smf_session_var,
			},
			oCookieOptions: {
				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',
				sCookieName: \'upshrinkIC\'
			}
		});
	</script>';
}

/**
 * The recent posts section of the info center
 */
function template_ic_block_recent()
{
	global $context, $scripturl, $settings, $txt;

	if (empty($context['latest_posts']) || count($context['latest_posts']) <= 1)
		return;

	// This is the "Recent Posts" bar.
	echo '
	<div class="recent-posts col-md-8">
			<div class="sub_bar">
				<h4 class="subbg">
					<a href="', $scripturl, '?action=recent"><span class="main_icons recent_posts"></span> ', $txt['recent_posts'], '</a>
				</h4>
			</div>
			<div id="recent_posts_content" class="topic-item-container card">';

	// Show lots of posts.
	if (!empty($context['latest_posts']))
	{
		loadMemberData(array_map(function($post) {
			return $post['poster']['id'];
		}, $context['latest_posts']));

		/* Each post in latest_posts has:
			board (with an id, name, and link.), topic (the topic's id.), poster (with id, name, and link.),
			subject, short_subject (shortened with...), time, link, and href. */
		foreach ($context['latest_posts'] as $post)
		{
			loadMemberContext($post['poster']['id']);

			if (!empty($post['poster']['id']))
				$avatar = $GLOBALS['memberContext'][$post['poster']['id']]['avatar'];
			else
				$avatar = array('image' => '<img class="avatar" src="'.$GLOBALS['modSettings']['avatar_url'] . '/default.png'.'" alt="avatar">');

			echo '
			<ul class="contacts-list">
			<!-- Chat Item Start -->
			<li class="contacts-item friends">
							<div class="topic-item-poster-avatar">', $avatar['image'], '</div>
							<div class="contacts-content">
							<div class="contacts-info">
                                                <h6 class="chat-name text-truncate"><i class="fas fa-user"></i> ', $post['poster']['link'], '</h6>
                                                <div class="chat-time"><i class="icon far fa-clock"></i> ', $post['time'], '</div>
											</div>
											<div class="contacts-texts">
                                                <p class="text-truncate">', $post['link'], '</p>
                                                <div class="topic-item-board"><i class="icon fas fa-folder"></i> ', $post['board']['link'], '</div>
                                            </div>
							</div>
						</li>
                        <!-- Chat Item End -->
                 </ul>';
		}
	}
	echo '
			</div></div><!-- #recent_posts_content -->';
}

/**
 * The calendar section of the info center
 */
function template_ic_block_calendar()
{
	global $context, $scripturl, $txt;

	// Show information about events, birthdays, and holidays on the calendar.
	echo '
		<div class="boardindex-events">
			<div class="sub_bar">
				<h4 class="subbg">
					<a href="', $scripturl, '?action=calendar' . '"><span class="main_icons calendar"></span> ', $context['calendar_only_today'] ? $txt['calendar_today'] : $txt['calendar_upcoming'], '</a>
				</h4>
			</div>
			<div class="windowbg">
				<div class="databox databox--neutral databox--statistic">
					<div class="databox-icon"></div>
					<div class="databox-content">';
	// Holidays like "Christmas", "Chanukah", and "We Love [Unknown] Day" :P
	if (!empty($context['calendar_holidays']))
		echo '
			<p class="inline holiday">
				<span>', $txt['calendar_prompt'], '</span> ', implode(', ', $context['calendar_holidays']), '
			</p>';

	// People's birthdays. Like mine. And yours, I guess. Kidding.
	if (!empty($context['calendar_birthdays']))
	{
		echo '
			<p class="inline">
				<span class="birthday">', $context['calendar_only_today'] ? $txt['birthdays'] : $txt['birthdays_upcoming'], '</span>';

		// Each member in calendar_birthdays has: id, name (person), age (if they have one set?), is_last. (last in list?), and is_today (birthday is today?)
		foreach ($context['calendar_birthdays'] as $member)
			echo '
				<a href="', $scripturl, '?action=profile;u=', $member['id'], '">', $member['is_today'] ? '<strong class="fix_rtl_names">' : '', $member['name'], $member['is_today'] ? '</strong>' : '', isset($member['age']) ? ' (' . $member['age'] . ')' : '', '</a>', $member['is_last'] ? '' : ', ';

		echo '
			</p>';
	}

	// Events like community get-togethers.
	if (!empty($context['calendar_events']))
	{
		echo '
			<p class="inline">
				<span class="event">', $context['calendar_only_today'] ? $txt['events'] : $txt['events_upcoming'], '</span> ';

		// Each event in calendar_events should have:
		//		title, href, is_last, can_edit (are they allowed?), modify_href, and is_today.
		foreach ($context['calendar_events'] as $event)
			echo '
				', $event['can_edit'] ? '<a href="' . $event['modify_href'] . '" title="' . $txt['calendar_edit'] . '"><span class="main_icons calendar_modify"></span></a> ' : '', $event['href'] == '' ? '' : '<a href="' . $event['href'] . '">', $event['is_today'] ? '<strong>' . $event['title'] . '</strong>' : $event['title'], $event['href'] == '' ? '' : '</a>', $event['is_last'] ? '<br>' : ', ';
		echo '
			</p>';
	}

	echo '
					</div>
				</div>
			</div>
		</div>';
}

/**
 * The stats section of the info center
 */
function template_ic_block_stats()
{
	global $scripturl, $txt, $context, $settings;

	$stats = array(
		array(
			'label' => $txt['posts'],
			'value' => $context['common_stats']['total_posts'],
			'icon' => 'fas fa-comments',
		),
		array(
			'label' => $txt['topics'],
			'value' => $context['common_stats']['total_topics'],
			'icon' => 'fas fa-file-alt',
		),
		array(
			'label' => $txt['members'],
			'value' => $context['common_stats']['total_members'],
			'icon' => 'fas fa-users',
		),
		array(
			'label' => $txt['latest_member'],
			'value' => $context['common_stats']['latest_member']['link'],
			'icon' => 'fas fa-user-alt',
		),
		array(
			'label' => $txt['latest_post'],
			'value' => !empty($context['latest_post']) ? "{$context['latest_post']['link']}" : '',
			'show' => !empty($context['latest_post']),
			'icon' => 'fas fa-reply',
		),
	);

	// Show statistical style information...
	echo '
	<div class="col-md-4">
			<div class="sub_bar">
				<h4 class="subbg">
					<a href="', $scripturl, '?action=stats" title="', $txt['more_stats'], '"><span class="main_icons stats"></span> ', $txt['forum_stats'], '</a>
				</h4>
			</div>
				<div class="forum-stats-container card">';

	foreach ($stats as $stat)
	{
		if (array_key_exists('show', $stat) && empty($stat['show']))
			continue;

		echo '
		<ul class="contacts-list">
		<!-- Chat Item Start -->
		<li class="contacts-item states">
		<span class="col-1 text-center bg-c-green">
		<i class="', $stat['icon'], ' mat-icon f-24"></i> 
		</span>
						<div class="databox-content col-11">
						', $stat['label'], '
						<span class="floatright">', $stat['value'], '</span>
						</div>
						</li>
                        <!-- Chat Item End -->
                 </ul>';
	}

	echo '
				</div>
			</div>';
}
/**
 * The who's online section of the admin center
 */
function template_ic_block_online()
{
	global $context, $scripturl, $txt, $modSettings, $settings;
	// "Users online" - in order of activity.
	echo '
		<div class="users-online">
			<div class="sub_bar">
				<h4 class="subbg">
					', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', '<span class="main_icons people"></span> ', $txt['online_users'], '', $context['show_who'] ? '</a>' : '', '
				</h4>
			</div>
			<p class="inline">
			<div class="windowbg">
				<div class="databox databox--neutral databox--statistic">
				<div class="databox-icon"><i class="icon fas fa-users"></i></div>
				<div class="databox-content">
				<div class="databox-title">
				', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', '<strong>', $txt['online'], ': </strong>', comma_format($context['num_guests']), ' ', $context['num_guests'] == 1 ? $txt['guest'] : $txt['guests'], ', ', comma_format($context['num_users_online']), ' ', $context['num_users_online'] == 1 ? $txt['user'] : $txt['users'];


	// Handle hidden users and buddies.
	$bracketList = array();

	if ($context['show_buddies'])
		$bracketList[] = comma_format($context['num_buddies']) . ' ' . ($context['num_buddies'] == 1 ? $txt['buddy'] : $txt['buddies']);

	if (!empty($context['num_spiders']))
		$bracketList[] = comma_format($context['num_spiders']) . ' ' . ($context['num_spiders'] == 1 ? $txt['spider'] : $txt['spiders']);

	if (!empty($context['num_users_hidden']))
		$bracketList[] = comma_format($context['num_users_hidden']) . ' ' . ($context['num_spiders'] == 1 ? $txt['hidden'] : $txt['hidden_s']);

	if (!empty($bracketList))
		echo ' (' . implode(', ', $bracketList) . ')';

	echo $context['show_who'] ? '</a>' : '', '

				&nbsp;-&nbsp;', $txt['most_online_today'], ': <strong>', comma_format($modSettings['mostOnlineToday']), '</strong>&nbsp;-&nbsp;
				', $txt['most_online_ever'], ': ', comma_format($modSettings['mostOnline']), ' (', timeformat($modSettings['mostDate']), ')<br>';


	// Assuming there ARE users online... each user in users_online has an id, username, name, group, href, and link.
	if (!empty($context['users_online']))
	{
		echo '

				', sprintf($txt['users_active'], $modSettings['lastActive']), ': ', implode(', ', $context['list_users_online']);

		// Showing membergroups?
		if (!empty($settings['show_group_key']) && !empty($context['membergroups']))
			echo '
				<span class="membergroups">' . implode(', ', $context['membergroups']) . '</span>';
	}

	echo '  </div>
        </div>
    </div>
</div>
			';
}

?>